[global_tags]

[agent]
interval = "20s"
round_interval = true
metric_batch_size = 1000
metric_buffer_limit = 10000
collection_jitter = "0s"
flush_interval = "10s"
flush_jitter = "0s"
precision = ""
debug = true
quiet = false
hostname = ""
omit_hostname = false

[inputs]
openweathermap = []

[outputs]
kafka = []

[[outputs.prometheus_client]]
listen = ":9273"
metric_version = 2
path = "/metrics"
collectors_exclude = ["gocollector", "process"]
tagexclude = ["map"]

[[outputs.influxdb_v2]]
urls = ["http://influxdb:8086"]
token = "$DOCKER_INFLUXDB_INIT_ADMIN_TOKEN"
organization = "$DOCKER_INFLUXDB_INIT_ORG"
bucket = "$DOCKER_INFLUXDB_INIT_BUCKET"
tagexclude = ["map"]
